import { Redis } from "ioredis";
export declare class RedisCommandReader {
    private readonly redis;
    private readonly streamName;
    private readonly onCommand;
    private shouldRun;
    private commandStreamId;
    private supportsMinId;
    private trimInterval?;
    constructor(redis: Redis, streamName: string, onCommand: (cmdType: string, cmdPayload: string) => Promise<void>);
    private updateLastRead;
    stop(): void;
    readQueue(): Promise<void>;
    getSupported(): Promise<void>;
    private trimCommandStream;
    start(): Promise<void>;
}
